electionner par macro une face nommée d'une piece dans un assemblage
  • Topic:
    • SOLIDWORKS

  • 12 réponses
  • 2583 vues

Par feron.ahom Le 07 juin 2016

Pour pouvoir ajouter une contrainte, dans une macro jai besoin de selectionner une face nommée d'une piece dans un assemblage, j'ai quelquchose comme ci dessous, mais cela ne marche pas

'   boolstat = swModelDocExt.SelectByID2("Fond@col_60-1@ass", "PLANE", 0, 0, 0, True, 1, Nothing, swSelectOptionDefault)

Quelqu'un peut'il m'aider ?

merci d'avance

AF

 

Meilleure réponse

Les autres réponses

.PL | 57033 point(s)

Je viens de voir que ta ligne commence par une apostrophe : il faut l'enlever car c'est le signe pour les commentaires et cela ignore ce qu'il y a écrit après !

'   boolstat = swModelDocExt.SelectByID2("Fond@col_60-1@ass", "PLANE", 0, 0, 0, True, 1, Nothing, swSelectOptionDefault)

=>

 boolstat = swModelDocExt.SelectByID2("Fond@col_60-1@ass", "PLANE", 0, 0, 0, True, 1, Nothing, swSelectOptionDefault)

feron.ahom | 0 point(s)

Exact

mais c'etait un essai qui  ne marche pas aussi je l'avais mis en commentaire

cdlt

 

feron.ahom | 0 point(s)

Ok je vais regarder tout cela

mais mon but est de ne pas avoir d'intervention humaine

cdlt

.PL | 57033 point(s)

Avec GetEntityByName  il n'est pas question d'intervention humaine ! Et je pense que ça fonctionnera mieux que "SelectByID2".